# Contributing

If you want to add functionality to this project, pull requests are welcome.

 * Create a branch based off master and do all of your changes within it.
 * Make sure commits are as 'atomic' as possible (this way specific changes can be removed or cherry-picked more easily)
 * Do not make pull requests monolithic in nature as this makes reviewing difficult and chances are your pull request will be declined (depending on complexity).
 * If you have to pause to add an 'and' anywhere in the title, it should be two pull requests.
 * Make commits of logical units and describe them properly
 * Check for unnecessary whitespace with git diff --check before committing.
 * If possible, submit tests to your patch/new feature so it can be tested easily.
 * Assure nothing is broken by running all tests
 * Please ensure that it complies with coding standards.

**Please raise any issues with this project as a GitHub issue.**
